import React, {PureComponent} from 'react';
import {Link} from 'react-router-dom';

export class Home extends PureComponent {
    render() {
        return (
            <div className="home">
                <Link to="/widget"><h2>Widgets <span className="desc">(xl-react-widget-*)</span></h2></Link>
                <p className="xl-react-widget-description">
                    Set of reusable common purposes ui components written using AngularJS
                    directives. All component are highly adaptable. Package include standard XebiaLabs styling.
                </p>

                <Link to="/dip"><h2>DIP Components <span className="desc">(xl-react-dip-*)</span></h2></Link>
                <p className="xl-react-widget-description">Components to be used in dynamic form.</p>

                <Link to="/form"><h2>Form Components</h2></Link>
                <p className="xl-react-widget-description">DIP Dynamic form</p>

                <Link to="/tabs"><h2>Tab system <span className="desc">(xl-react-tab-system)</span></h2></Link>
                <p className="xl-react-widget-description">Tab system with dynamic scope management.</p>

                <Link to="/buttons"><h2>Buttons <span className="desc">(xl-react-button-*)</span></h2></Link>
                <p className="xl-react-widget-description">
                    XL Button directives interactions: submit/enter, tab, etc.
                </p>
            </div>
        );
    }
}
