import React, {PureComponent} from 'react';
import {ButtonsTestComponent} from '../../playground/buttons-test-component';
import {XlReactButton} from '../../../xl-react-buttons/xl-react-button/xl-react-button';
import {itemType} from './item-type';

export class DebouncedButton extends PureComponent {
    static propTypes = itemType;

    render() {
        const {children, modelName, state, updateModel} = this.props;
        return <ButtonsTestComponent {...state[modelName]}>
            <XlReactButton
                onClick={updateModel(modelName, state[modelName].model + 1)}
                type="button">
                {children}
            </XlReactButton>
        </ButtonsTestComponent>;
    }
}
