export const splitLines = (string) => {
    if (typeof string !== 'string') {
        throw new TypeError(`Expected input to be of type \`string\`, got \`${typeof string}\``);
    }

    const parts = string.split(/(\r?\n)/);
    const lines = [];

    for (let lineNum = 0; lineNum < parts.length; lineNum += 2) {
        lines.push(parts[lineNum] + (parts[lineNum + 1] || ''));
    }

    return lines;
};
