import Form from '../../dsl/component/form/form';
import Navigation from '../../dsl/common/navigation';
import TestBindings from '../../dsl/common/test-bindings';

describe('XL Dip Dynamic Form Multiple Categories Scenario', () => {
    beforeAll(() => {
        Navigation.openFormElement('dynamicFormWithMultipleCategories');
        TestBindings.toggleShowMessages();
    });

    afterAll(() => {
        TestBindings.resetPristinity();
        TestBindings.toggleShowMessages();
    });

    it('should highlight only invalid groups', () => {
        Form.expectValidCategory(1);
        Form.expectInvalidCategory(2);
    });
});
