import Navigation from '../../../dsl/common/navigation';
import WidgetReduxTable from '../../../dsl/component/widget/widget-redux-table';

describe('XL Widget Redux Table Custom Renderers', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetReduxTable5'));

    it('should show custom pageButtonRenderer', () => {
        WidgetReduxTable.expectPresentOnPagination('.react-bootstrap-table-pagination-list h2');
    });

    it('should show custom sizePerPageRenderer', () => {
        WidgetReduxTable.expectPresentOnPagination('h3');
    });
});
