/* eslint-disable */
import {configure} from 'enzyme';
import 'raf/polyfill';
import Adapter from 'enzyme-adapter-react-16';

configure({adapter: new Adapter()});

beforeEach(() => {
    jasmine.addMatchers(require('jasmine-object-matchers-jest')['2.0']);
});

require('jasmine-collection-matchers');
require('jest-enzyme');

const path = require('path');
const reporters = require('jasmine-reporters');
const reporter = new reporters.JUnitXmlReporter({
    consolidateAll: false,
    savePath: path.resolve(__dirname, '..', '..', 'build', 'test-results', 'jest'),
});
jasmine.getEnv().addReporter(reporter);

require('console-error-throws-error');
/* eslint-enable */
