import {getInputType}
    from '~/app/xl-react-widget/xl-react-widget-reveal-password-icon/xl-react-widget-reveal-password-utils';

describe('Util methods for reveal password icon', () => {
    describe('getInputType', () => {
        it('should have type password for the html element only if password has to be not revealed ' +
            'and initial type is password', () => {
            expect(getInputType('password', false)).toBe('password');
            expect(getInputType('password', true)).toBe('text');
            expect(getInputType('text', true)).toBe('text');
            expect(getInputType('text', false)).toBe('text');
            expect(getInputType('search', true)).toBe('search');
            expect(getInputType('search', false)).toBe('search');
        });
    });
});
