import React from 'react';
import {mount} from 'enzyme';
import XlReactWidgetTreeSelectItemComponent
    from '~/app/xl-react-widget/xl-react-widget-tree-select/xl-react-widget-tree-select-item'; // eslint-disable-line max-len

describe('XlReactWidgetTreeSelectItemComponent', () => {
    const onSelect = jest.fn();

    const defaultProps = {
        isFocused: true,
        navigation: {
            description: 'xl-react-widget-tree-select-item',
            title: 'Tree Select Item',
            type: 'widget'
        },
        node: {
            depth: 0,
            id: 'FOLDER_2',
            isEnabled: true,
            isExpanded: true,
            isParent: true,
            isSelected: true,
            title: 'FOLDER 2'
        },
        onSelect
    };

    it('should render item', () => {
        const wrapper = mount(<XlReactWidgetTreeSelectItemComponent {...defaultProps}/>);
        expect(wrapper.find('.xl-react-widget-tree-item')).not.toBeDisabled();
    });
});
