import PropTypes from 'prop-types';
import {xlMessageTypeProp} from '../xl-props/xl-message-type-prop';

export const XlReactDipContainerProps = {
    disabled: PropTypes.bool,
    displayMode: PropTypes.string,
    mergeContext: PropTypes.func,
    message: xlMessageTypeProp,
    metadata: PropTypes.object,
    onMessageChange: PropTypes.func,
    onModelChange: PropTypes.func,
    onPristinityChange: PropTypes.func,
    onValidityChange: PropTypes.func,
    register: PropTypes.func,
    required: PropTypes.bool,
    validators: PropTypes.arrayOf(PropTypes.func)
};
