import R from 'ramda';
import {defaultConfirmationDialogBehavior}
    from './confirmation-dialog-behaviour/default-confirmation-dialog-behaviour';
import {checkboxConfirmationDialogBehavior}
    from './confirmation-dialog-behaviour/checkbox-confirmation-dialog-behaviour';

export const confirmationDialogSkins = {
    CHECKBOX: 'checkbox',
    DEFAULT: 'default'
};

export const getBehavior = (skin) =>
    R.find(
        (sb) => sb.isMatched(skin),
        [defaultConfirmationDialogBehavior, checkboxConfirmationDialogBehavior]
    );

