import R from 'ramda';
import {splitLines} from '../../utils/split-lines';
import RU from '../../utils/ramda-utils';

export const transformDataForPatchSample = (fileContent) => R.pipe(
    splitLines,
    R.filter(R.identity),
    RU.mapIndexed((name, id) => ({id: `${id + 1}`, name, title: name}))
)(fileContent);
