import R from 'ramda';

export const buildFilterQuery = (filters = []) =>
    R.reduce(
        (acc, item) => ({
            ...acc,
            [typeof item.fieldPath === 'string' ? item.fieldPath : item.fieldPath(item.model)]: item.model
        }),
        {},
        filters
    );

export const buildMetadata = (changeType, beforeChange) => ({change: {previous: beforeChange, type: changeType}});
