import gulp from 'gulp';
import fs from 'fs';
import paths from '../utils/paths';
import {generateJsFile} from 'less-vars-to-pretty-js';

gulp.task('generate-js-vars', () => {
    const lessVariables = fs.readFileSync(`${paths.srcDir}/styles/variables.less`, 'utf8');
    return generateJsFile(lessVariables, `${paths.srcDir}/styles/variables.js`);
});
