import {Action, Expectation} from 'protractor-base-dsl';

const loadMoreItems = (lastItemIndex) =>
    Action.click(`.testComponent .infinite-tree-item:nth-of-type(${lastItemIndex})`);

const expectNumberOfNodes = (expectedNumberOfNodes) =>
    Expectation.count('.testComponent .infinite-tree-item', expectedNumberOfNodes);

const WidgetLazyLoadedTree = {
    expectNumberOfNodes,
    loadMoreItems
};
export default WidgetLazyLoadedTree;
global.WidgetLazyLoadedTree = WidgetLazyLoadedTree;
