import React from 'react';
import {mount} from 'enzyme';

import {widgetInitialState} from '~/app/pages/widget-page/widget-initial-state';
import {XlReactWidgetTreeSelect} from '~/app/xl-react-widget/xl-react-widget-tree-select/xl-react-widget-tree-select';

describe('XlReactWidgetTreeSelect', () => {
    const onModelChange = jest.fn();

    const defaultProps = {
        ...widgetInitialState.widgetTreeSelect,
        onModelChange,
        selectedFolderId: 'FOLDER_1'
    };

    it('should render parents correctly', () => {
        const wrapper = mount(<XlReactWidgetTreeSelect {...defaultProps}/>);
        expect(wrapper.instance().state.tree.length).toBe(6);
    });
});

